FLASH-KERNEL(8)

NAME
flash-kernel - put kernel and initramfs in boot location

SYNOPSIS
flash-kernel [--supported] [kvers]

DESCRIPTION
flash-kernel is a script which will put the kernel and initramfs in the boot location of embedded devices that don't load the kernel and initramfs directly from /boot. flash-kernel supports devices that boot from flash memory (hence the name) as well as some devices that require a special boot image on the disk.

Optionally, it can be passed the version of the kernel to flash; it defaults to flashing /vmlinuz or /boot/vmlinuz.

If the --supported option is used, flash-kernel will test to see if the hardware is supported, and return a true or false value.

AUTHOR
Martin Michlmayr <tbm@cyrius.com>